Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 717242 - media-libs/libheif-1.6.1 - ./heif-test.go:83:12: undefined: heif.NewContext
Summary: media-libs/libheif-1.6.1 - ./heif-test.go:83:12: undefined: heif.NewContext
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: PPC64 Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 711240
  Show dependency tree
 
Reported: 2020-04-12 17:33 UTC by ernsteiswuerfel
Modified: 2020-09-02 06:01 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (file_717242.txt,6.10 KB, text/plain)
2020-04-12 17:33 UTC, ernsteiswuerfel
Details
build.log (libheif-1.6.1:20200412-172602.log,51.72 KB, text/plain)
2020-04-12 17:34 UTC, ernsteiswuerfel
Details
build.log (1.7.0 + tests) (libheif-1.7.0:20200818-235153.log,71.72 KB, text/plain)
2020-08-18 23:57 UTC, ernsteiswuerfel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel 2020-04-12 17:33:17 UTC
Created attachment 632506 [details]
emerge --info

[...]
ln -sf /var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64/examples/../go /var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64/examples/src/github.com/strukturag/libheif/
GOPATH=/var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64/examples PKG_CONFIG_PATH=/var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64 CGO_CFLAGS="-I/var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64" CGO_LDFLAGS="-L/var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64/libheif/.libs" LD_LIBRARY_PATH=/var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64/libheif/.libs /usr/bin/go build -o heif-test-go heif-test.go
# command-line-arguments
./heif-test.go:83:12: undefined: heif.NewContext
./heif-test.go:114:33: undefined: heif.ColorspaceUndefined
./heif-test.go:114:59: undefined: heif.ChromaUndefined
./heif-test.go:143:14: undefined: heif.EncodeFromImage
./heif-test.go:143:38: undefined: heif.CompressionHEVC
./heif-test.go:143:69: undefined: heif.LosslessModeEnabled
./heif-test.go:143:95: undefined: heif.LoggingLevelFull
./heif-test.go:159:38: undefined: heif.GetVersion
make[2]: *** [Makefile:1189: heif-test-go] Error 2
make[2]: Leaving directory '/var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64/examples'
make[1]: *** [Makefile:521: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-.ppc64'
make: *** [Makefile:430: all] Error 2
 * ERROR: media-libs/libheif-1.6.1::gentoo failed (compile phase):
 *   emake failed
Comment 1 ernsteiswuerfel 2020-04-12 17:34:41 UTC
Created attachment 632508 [details]
build.log
Comment 2 Andreas Sturmlechner gentoo-dev 2020-04-30 19:06:30 UTC
Is it the same with 1.5.1?
Comment 3 ernsteiswuerfel 2020-05-02 23:19:45 UTC
(In reply to Andreas Sturmlechner from comment #2)
> Is it the same with 1.5.1?
Yes, same with 1.5.1:

[...]
ln -sf /var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64/examples/../go /var/tmp/porta
ge/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64/examples/src/github.com/strukturag/libheif/
GOPATH=/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64/examples PKG_CONFIG_PATH=/var
/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64 CGO_CFLAGS="-I/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64" CGO_LDFLAGS="-L/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64/libheif/.libs" LD_LIBRARY_PATH=/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64/libheif/.libs /usr/bin/go build -o heif-test-go heif-test.go
/bin/sh ../libtool  --tag=CC   --mode=link powerpc64-unknown-linux-gnu-gcc -I/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1 -I.. -O2 -mcpu=970 -pipe -Wall  -Wsign-compare -Wconversion -Wno-sign-conversion -Wno-error=conversion -Wno-error=unused-parameter -Wno-error=deprecated-declarations  -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -o test-c-api test_c_api-test_c_api.o ../libheif/libheif.la -lpthread 
# command-line-arguments
./heif-test.go:83:12: undefined: heif.NewContext
./heif-test.go:114:33: undefined: heif.ColorspaceUndefined
./heif-test.go:114:59: undefined: heif.ChromaUndefined
./heif-test.go:143:14: undefined: heif.EncodeFromImage
./heif-test.go:143:38: undefined: heif.CompressionHEVC
./heif-test.go:143:69: undefined: heif.LosslessModeEnabled
./heif-test.go:143:95: undefined: heif.LoggingLevelFull
./heif-test.go:159:38: undefined: heif.GetVersion
make[2]: *** [Makefile:1107: heif-test-go] Error 2
make[2]: *** Waiting for unfinished jobs....
libtool: link: powerpc64-unknown-linux-gnu-gcc -I/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1 -I.. -O2 -mcpu=970 -pipe -Wall -Wsign-compare -Wconversion -Wno-sign-conversion -Wno-error=conversion -Wno-error=unused-parameter -Wno-error=deprecated-declarations -Wl,-O1 -Wl,--hash-style=gnu -o .libs/test-c-api test_c_api-test_c_api.o  -Wl,--as-needed ../libheif/.libs/libheif.so -lde265 -lx265 -lpthread
heif_enc.cc: In function 'std::shared_ptr<heif_image> loadPNG(const char*, int)':
heif_enc.cc:652:39: warning: conversion from 'int' to 'uint8_t' {aka 'unsigned char'} may change value [-Wconversion]
  652 |         p_out[2*x + y*stride + 0] = (v>>8);
      |                                     ~~^~~~
heif_enc.cc:653:40: warning: conversion from 'int' to 'uint8_t' {aka 'unsigned char'} may change value [-Wconversion]
  653 |         p_out[2*x + y*stride + 1] = (v & 0xFF);
      |                                     ~~~^~~~~~~
make[2]: Leaving directory '/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64/examples'
make[1]: *** [Makefile:518: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-.ppc64'
make: *** [Makefile:427: all] Error 2
 * ERROR: media-libs/libheif-1.5.1::gentoo failed (compile phase):
 *   emake failed
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2020-08-16 18:17:56 UTC
(In reply to ernsteiswuerfel from comment #0)
> LD_LIBRARY_PATH=/var/tmp/portage/media-libs/libheif-1.6.1/work/libheif-1.6.1-
> .ppc64/libheif/.libs /usr/bin/go build -o heif-test-go heif-test.go
> # command-line-arguments
> ./heif-test.go:83:12: undefined: heif.NewContext

In the 1.7.0 ebuild I added USE=go, so you could either test whether 1.7.0 fixed this bug or whether it's feasible to mask USE=go for ppc64.
Comment 5 ernsteiswuerfel 2020-08-18 23:56:23 UTC
(In reply to Jeroen Roovers from comment #4)
> In the 1.7.0 ebuild I added USE=go, so you could either test whether 1.7.0
> fixed this bug or whether it's feasible to mask USE=go for ppc64.
Thanks! 1.7.0 builds fine now and also passes tests on ppc64.
Comment 6 ernsteiswuerfel 2020-08-18 23:57:02 UTC
Created attachment 655434 [details]
build.log (1.7.0 + tests)